SoapServer::handle
SoapServer::setObject
SoapServer
PHP Manual

# SoapServer::setClass

(PHP 5 >= 5.0.1)

SoapServer::setClass — Sets the class which handles SOAP requests

### Description

public void SoapServer::setClass ( string `$class_name` [, string `$args` ] )

Exports all methods from specified class.

The object can be made persistent across request for a given PHP session with the SoapServer::setPersistence method.

### Parameters

`class_name`

  The name of the exported class.

`args`

  These optional parameters will be passed to the default class constructor during object creation.

### Return Values

No value is returned.

### See Also

- SoapServer::SoapServer - SoapServer constructor
- SoapServer::addFunction - Adds one or more functions to handle SOAP requests
- SoapServer::setPersistence - Sets SoapServer persistence mode

SoapServer::handle
SoapServer::setObject
SoapServer
PHP Manual